# -*- coding: utf-8 -*-
"""
Created on Thu Dec  4 15:16:24 2014

@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

nc_f_500_2p1_360 = '/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm_P2003_02p1yrs_360ppm/'


restime=[nc_f_500_2p1_360]
restimename=['500_2p1_360']

ppm=['0500']

number=range(2204,2236,1)

namedata=[]

for j in range(len(restime)):
    snapshotsp2=[]
    namedata=[]
    datasp2=[]
    #use year 2202 for control runs, because 1000ppm control run has only output in files every 100 years
    snapshotsp2=np.append(snapshotsp2,'/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_'+ppm[j]+'ppm/snapshots_potsdam2.002204.01.01.dta.nc')
    namedata=np.append(namedata,str(number[0])+'yrsafterimpact')
    datasp2=np.append(datasp2,snapshotsp2[0])



    for i in range(1,32):
        snapshotsp2=np.append(snapshotsp2,'snapshots_potsdam2.00'+str(number[i])+'.01.01.dta.nc')
        namedata=np.append(namedata,str(number[i])+'yrsafterimpact')
        datasp2=np.append(datasp2,restime[j]+snapshotsp2[i])       
            
    for i in range(len(number)): 
        nc_f_sp2=datasp2[i]
        nc_fid = Dataset(nc_f_sp2, 'r') 
        
        lonsp2=nc_fid.variables['xu_i'][:]#longitudes of the grid's borders
        lonsp2=np.concatenate((np.array([0]),lonsp2))#add longitude 0 to the lonigtude array
        latsp2=nc_fid.variables['yu_j'][:]#latitudes of the grid's borders
        latmidsp2=nc_fid.variables['yt_j'][:]#latitudes of the grid's centers(needed to calculate cosine fractions)
        lonmidsp2=nc_fid.variables['xt_i'][:]#longitudes of the grid's centers
        depthsp2=nc_fid.variables['zw_k'][:]
        timesp2=nc_fid.variables['Time'][:]
        arrayp2slonlat=np.array([lonsp2,latsp2,latmidsp2,lonmidsp2,depthsp2])
        namesp2slonlat=np.array(['lonsp2','latsp2','latmidsp2','lonmidsp2','depthsp2'])
        
        ts = nc_fid.variables['ts'][:,:,:]#quantity is defined at the grid centers
        ts=np.mean(ts,axis=0)#time mean 
        tsur = nc_fid.variables['tsur'][:,:,:]#quantity is defined at the grid centers
        tsur=np.mean(tsur,axis=0)#time mean 
        sst = nc_fid.variables['sst'][:,:,:]#quantity is defined at the grid centers
        sst=np.mean(sst,axis=0)#time mean 
        
        arrayp2s=np.array([ts,tsur,sst])
        namesp2s=np.array(['ts','tsur','sst'])   
            
        tab='\n'
        comment='#'
        filename='ModelOutputImpact_p2s'+str(number[i])+'_'+restimename[j]+'.dat'
        with file(filename,'w') as outfile:
            for k in range(len(arrayp2s)):
                outfile.write(comment+namesp2s[k]+tab)
                np.savetxt(outfile,arrayp2s[k],fmt='%12.6f')


    

#control
nc_f_500_control = '/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm/'
#nc_f_1000_control = '/Volumes/IPLEX/projects/ace/feulner/c3beta_cret_066Ma_1000ppm/'
#restime=[nc_f_500_control,nc_f_1000_control]
restime=[nc_f_500_control]
#restimename=['500','1000']
restimename=['500']
for j in range(len(restime)):
    snapshotsp2=[]
    namedata=[]
    datasp2=[]
    
  
    for i in range(len(number)):
        #snapshotsp2=np.append(snapshotsp2,'snapshots_potsdam2.00'+str(number[i])+'.01.01.dta.nc')
        snapshotsp2=np.append(snapshotsp2,'snapshots_potsdam2.002204.01.01.dta.nc')
        namedata=np.append(namedata,str(number[i])+'yrsafterimpact')
        datasp2=np.append(datasp2,restime[j]+snapshotsp2[i])

                
        nc_f_sp2=datasp2[i]
        nc_fid = Dataset(nc_f_sp2, 'r')
               
        ts = nc_fid.variables['ts'][:,:,:]#quantity is defined at the grid centers
        ts=np.mean(ts,axis=0)#time mean 
        
        tsur = nc_fid.variables['tsur'][:,:,:]#quantity is defined at the grid centers
        tsur=np.mean(tsur,axis=0)#time mean 
        
        sst = nc_fid.variables['sst'][:,:,:]#quantity is defined at the grid centers
        sst=np.mean(sst,axis=0)#time mean 
        
        arrayp2s=np.array([ts,tsur,sst])
        namesp2s=np.array(['ts','tsur','sst'])   
    
        
        tab='\n'
        comment='#'
        filename='ModelOutputImpact_p2s'+str(number[i])+'_'+restimename[j]+'.dat'
        with file(filename,'w') as outfile:
            for k in range(len(arrayp2s)):
                outfile.write(comment+namesp2s[k]+tab)
                np.savetxt(outfile,arrayp2s[k],fmt='%12.6f')
     
            
