# -*- coding: utf-8 -*-
"""
Created on Thu Dec  4 15:16:24 2014

@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)


nc_f_500_2p1_360 = '/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm_P2003_02p1yrs_360ppm/'


restime=[nc_f_500_2p1_360]

restimename=['500_2p1_360']
             
             
ppm=['0500']
     

number=range(2204,2236,1)


namedata=[]

for j in range(len(restime)):
    print restime[j]
    snapshotsmom=[]
    datasmom=[]
    snapshotsmom=np.append(snapshotsmom,'/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_'+ppm[j]+'ppm/snapshots.002202.01.01.dta.nc')
    datasmom=np.append(datasmom,snapshotsmom[0])

    for i in range(1,32):
        snapshotsmom=np.append(snapshotsmom,'snapshots.00'+str(number[i])+'.01.01.dta.nc')
        datasmom=np.append(datasmom,restime[j]+snapshotsmom[i])

    for i in range(len(number)): 
        
        nc_f_smom=datasmom[i]
        nc_fid_smom = Dataset(nc_f_smom, 'r') 
        lonsmom=nc_fid_smom.variables['xu_i'][:]#longitudes of the grid's borders
        lonsmom=np.concatenate((np.array([0]),lonsmom))#add longitude 0 to the lonigtude array
        lonmidsmom=nc_fid_smom.variables['xt_i'][:]#longitudes of the grid's center
        latsmom=nc_fid_smom.variables['yu_j'][:]#latitudes of the grid's borders
        latsmom=np.concatenate((np.array([-90]),latsmom))#add longitude 90 to the lonigtude array      
        latmidsmom=nc_fid_smom.variables['yt_j'][:]#latitudes of the grid's centers(needed to calculate cosine fractions)
        depthsmom=nc_fid_smom.variables['zw_k'][:]
        timesmom=nc_fid_smom.variables['Time'][:]       
        arraymomslonlat=np.array([lonsmom,lonmidsmom,latsmom,latmidsmom,depthsmom])
        namesmomslonlat=np.array(['lonsmom','lonmidsmom','latsmom','latmidsmom','depthsmom'])        
                
        temp = nc_fid_smom.variables['temp'][:,:,:,:]#quantity is defined at the grid centers
        temp0=temp[:,0,:,:]#surface value
        temp0=np.mean(temp0,axis=0)#time mean
        temp0=np.ma.filled(temp0,fill_value=1000)
        
        arraymoms=np.array([temp0])
        namesmoms=np.array(['temp0'])
      
        tab='\n'
        comment='#'

        filename='ModelOutputImpact_smom_'+str(number[i])+'_'+restimename[j]+'.dat'
        with file(filename,'w') as outfile:
            outfile.write(comment+namesmoms[0]+tab)
            np.savetxt(outfile,arraymoms[0],fmt='%12.6f')
                
        filename='ModelOutputImpact_smom_lonlat.dat'
        with file(filename,'w') as outfile:
            for k in range(len(arraymomslonlat)):
                outfile.write(comment+namesmomslonlat[k]+tab)
                np.savetxt(outfile,arraymomslonlat[k],fmt='%12.6f')