# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""
#creates a map with chosen cell marked in a plot to find number of a suitable cell

import numpy as np
from netCDF4 import Dataset
import matplotlib.pyplot as plt
from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
from scipy.interpolate import interp1d
import numpy.ma as ma
#from matplotlib.backends.backend_pdf import PdfPages
#import sys
#import decimal as dc

#np.set_printoptions(threshold=sys.maxint)#displays long lists and arrays in total

lonlatmomdata=np.loadtxt('ModelOutputImpact_smom_lonlat.dat')
lon=lonlatmomdata[0:97]
lonmid=lonlatmomdata[97:193]
lat=lonlatmomdata[193:242]
latmid=lonlatmomdata[242:290]

pi_frac=(np.pi/180)*latmid[:]

restimename=['500_2p1_360']


#timename=['2202','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220']
timename=['2202']

namesmoms=np.array(['temp'])
Namevarlong=np.array(['sea surface temperature [°C]'])
#namesmoms=np.array(['salt'])  
#Namevarlong=np.array(['salinity surface (psu)'])

Var_mean=np.zeros((len(restimename),len(namesmoms),len(timename)))
tropics_mean=np.zeros((len(restimename),len(namesmoms),len(timename)))
Var=np.zeros((48,96))


for i in range(len(timename)):
    newdata=np.loadtxt('ModelOutputImpact_smom_'+str(timename[i])+'_500_2p1_360.dat')
    newdata=newdata.reshape((48,96))       
    Var=newdata[:,:]

    Mask=np.zeros((48,96))
    for m in range(0,48):
        for n in range(0,96):
            if Var[m,n]!=1000:
                Mask[m,n]=1
            else:
                Mask[m,n]=0    
    
    for m in range(0,48):
        for n in range(0,96):
            if (m in range(35,36) and n in range(84,85)):
                Var[m,n]=1
            else:
                Var[m,n]=2         
    
    Var=Var*Mask                

#Map plot
fig = plt.figure()
fig.subplots_adjust(left=0., right=1., bottom=0., top=0.9)                
m = Basemap(projection='cyl', llcrnrlat=-90, urcrnrlat=90,\
llcrnrlon=0, urcrnrlon=360, resolution='c')#cyl is equidistant cylindrical projection
m.drawmapboundary()
m.drawparallels(np.arange(-90.,91.,30.),labels=[True,True,False,False],color='grey')
m.drawmeridians(np.arange(-180.,181.,60),labels=[False,False,True,True],color='grey')
lon2d, lat2d = np.meshgrid(lon, lat)                
x=lon2d
y=lat2d
             
plt.cm.jet.set_bad('w',alpha=None)
cs = m.pcolormesh(x,y,Var,latlon=True,cmap=plt.cm.jet)

fig.savefig('NewJersey.pdf', format='pdf')                